PETSc version 3.17.4
Fix/Edit manual page

# DMLabelGetDefaultValue

Get the default value returned by DMLabelGetValue() if a point has not been explicitly given a value. When a label is created, it is initialized to -1.

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetDefaultValue(DMLabel label, PetscInt *defaultValue)

Not collective

### Input parameter

| label | - a DMLabel object

### Output parameter

| defaultValue | - the default value

### See Also

DMLabelSetDefaultValue(), DMLabelGetValue(), DMLabelSetValue()

### Level

beginner

### Location

src/dm/label/dmlabel.c

### Examples

src/dm/label/tutorials/ex1.c.html
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages